<?php

declare(strict_types=1);

/**
 * ISO 3166 country codes
 *
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'AD' => 'Andorra',
    'AE' => 'Emirats Àrabs Units',
    'AF' => 'Afganistan',
    'AG' => 'Antigua i Barbuda',
    'AI' => 'Anguilla',
    'AL' => 'Albània',
    'AM' => 'Armènia',
    'AO' => 'Angola',
    'AQ' => 'Antàrtida',
    'AR' => 'Argentina',
    'AS' => 'Samoa Americana',
    'AT' => 'Àustria',
    'AU' => 'Austràlia',
    'AW' => 'Aruba',
    'AX' => 'Illes Åland',
    'AZ' => 'Azerbaidjan',
    'BA' => 'Bòsnia i Herzegovina',
    'BB' => 'Barbados',
    'BD' => 'Bangladesh',
    'BE' => 'Bèlgica',
    'BF' => 'Burkina Faso',
    'BG' => 'Bulgària',
    'BH' => 'Bahrain',
    'BI' => 'Burundi',
    'BJ' => 'Benín',
    'BL' => 'Saint Barthélemy',
    'BM' => 'Bermudes',
    'BN' => 'Brunei Darussalam',
    'BO' => 'Bolívia',
    'BQ' => 'Bonaire, Saint Eustatius i Saba',
    'BR' => 'Brasil',
    'BS' => 'Bahames',
    'BT' => 'Bhutan',
    'BV' => 'Illa Bouvet',
    'BW' => 'Botswana',
    'BY' => 'Bielorússia',
    'BZ' => 'Belize',
    'CA' => 'Canadà',
    'CC' => 'Illes Cocos (Keeling)',
    'CD' => 'Congo, República Democràtica del',
    'CF' => 'República Centreafricana',
    'CG' => 'Congo',
    'CH' => 'Suïssa',
    'CI' => "Costa d'Ivori",
    'CK' => 'Illes Cook',
    'CL' => 'Xile',
    'CM' => 'Camerun',
    'CN' => 'Xina',
    'CO' => 'Colòmbia',
    'CR' => 'Costa Rica',
    'CU' => 'Cuba',
    'CV' => 'Cap Verd',
    'CW' => 'Curaçao',
    'CX' => 'Illa Christmas',
    'CY' => 'Xipre',
    'CZ' => 'República Txeca',
    'DE' => 'Alemanya',
    'DJ' => 'Djibouti',
    'DK' => 'Dinamarca',
    'DM' => 'Dominica',
    'DO' => 'República Dominicana',
    'DZ' => 'Algèria',
    'EC' => 'Equador',
    'EE' => 'Estònia',
    'EG' => 'Egipte',
    'EH' => 'Sàhara Occidental',
    'ER' => 'Eritrea',
    'ES' => 'Espanya',
    'ET' => 'Etiòpia',
    'FI' => 'Finlàndia',
    'FJ' => 'Illes Fiji',
    'FK' => 'Illes Malvines (Falkland)',
    'FM' => 'Micronèsia, Estats Federats de',
    'FO' => 'Illes Fèroe',
    'FR' => 'França',
    'GA' => 'Gabon',
    'GB' => 'Regne Unit',
    'GD' => 'Granada',
    'GE' => 'Geòrgia',
    'GF' => 'Guaiana Francesa',
    'GG' => 'Guernsey',
    'GH' => 'Ghana',
    'GI' => 'Gibraltar',
    'GL' => 'Groenlàndia',
    'GM' => 'Gàmbia',
    'GN' => 'Guinea',
    'GP' => 'Guadalupe',
    'GQ' => 'Guinea Equatorial',
    'GR' => 'Grècia',
    'GS' => 'Illes Geòrgia del Sud i Sandwich del Sud',
    'GT' => 'Guatemala',
    'GU' => 'Guam',
    'GW' => 'Guinea-Bissau',
    'GY' => 'Guaiana',
    'HK' => 'Hong Kong',
    'HM' => 'Illa Heard i Illes McDonald',
    'HN' => 'Hondures',
    'HR' => 'Croàcia',
    'HT' => 'Haití',
    'HU' => 'Hongria',
    'ID' => 'Indonèsia',
    'IE' => 'Irlanda',
    'IL' => 'Israel',
    'IM' => 'Illa de Man',
    'IN' => 'Índia',
    'IO' => 'Territori Britànic de l’Oceà Índic',
    'IQ' => 'Iraq',
    'IR' => 'República Islàmica d\'Iran',
    'IS' => 'Islàndia',
    'IT' => 'Itàlia',
    'JE' => 'Jersey',
    'JM' => 'Jamaica',
    'JO' => 'Jordània',
    'JP' => 'Japó',
    'KE' => 'Kènia',
    'KG' => 'Kirguizistan',
    'KH' => 'Cambodja',
    'KI' => 'Kiribati',
    'KM' => 'Comores',
    'KN' => 'Saint Kitts i Nevis',
    'KP' => "Corea, República Popular Democràtica de",
    'KR' => 'Corea, República de',
    'KW' => 'Kuwait',
    'KY' => 'Illes Caiman',
    'KZ' => 'Kazakhstan',
    'LA' => "República Democràtica Popular Laos",
    'LB' => 'Líban',
    'LC' => 'Saint Lucia',
    'LI' => 'Liechtenstein',
    'LK' => 'Sri Lanka',
    'LR' => 'Libèria',
    'LS' => 'Lesoto',
    'LT' => 'Lituània',
    'LU' => 'Luxemburg',
    'LV' => 'Letònia',
    'LY' => 'Líbia',
    'MA' => 'Marroc',
    'MC' => 'Mònaco',
    'MD' => 'Moldàvia',
    'ME' => 'Montenegro',
    'MF' => 'Saint Martin (part francesa)',
    'MG' => 'Madagascar',
    'MH' => 'Illes Marshall',
    'MK' => 'Macedònia',
    'ML' => 'Mali',
    'MM' => 'Myanmar',
    'MN' => 'Mongòlia',
    'MO' => 'Macau',
    'MP' => 'Illes Mariannes del Nord',
    'MQ' => 'Martinica',
    'MR' => 'Mauritània',
    'MS' => 'Montserrat',
    'MT' => 'Malta',
    'MU' => 'Maurici',
    'MV' => 'Maldives',
    'MW' => 'Malaui',
    'MX' => 'Mèxic',
    'MY' => 'Malàisia',
    'MZ' => 'Moçambic',
    'N/A' => 'No aplicable (IP local...)',
    'NA' => 'Namíbia',
    'NC' => 'Nova Caledònia',
    'NE' => 'Níger',
    'NF' => 'Illa Norfolk',
    'NG' => 'Nigèria',
    'NI' => 'Nicaragua',
    'NL' => 'Països Baixos',
    'NO' => 'Noruega',
    'NP' => 'Nepal',
    'NR' => 'Naüru',
    'NU' => 'Niue',
    'NZ' => 'Nova Zelanda',
    'OM' => 'Oman',
    'PA' => 'Panamà',
    'PE' => 'Perú',
    'PF' => 'Polinèsia Francesa',
    'PG' => 'Papua Nova Guinea',
    'PH' => 'Filipines',
    'PK' => 'Pakistan',
    'PL' => 'Polònia',
    'PM' => 'Saint Pierre i Miquelon',
    'PN' => 'Illes Pitcairn',
    'PR' => 'Puerto Rico',
    'PS' => 'Palestina',
    'PT' => 'Portugal',
    'PW' => 'Palau',
    'PY' => 'Paraguai',
    'QA' => 'Qatar',
    'RE' => 'Illa de la Reunió',
    'RO' => 'Romania',
    'RS' => 'Sèrbia',
    'RU' => 'Rússia',
    'RW' => 'Ruanda',
    'SA' => 'Aràbia Saudita',
    'SB' => 'Illes Salomó',
    'SC' => 'Seychelles',
    'SD' => 'Sudan',
    'SE' => 'Suècia',
    'SG' => 'Singapur',
    'SH' => 'Santa Helena, Ascensió i Tristan da Cunha',
    'SI' => 'Eslovènia',
    'SJ' => 'Svalbard i Jan Mayen',
    'SK' => 'Eslovàquia',
    'SL' => 'Sierra Leona',
    'SM' => 'San Marino',
    'SN' => 'Senegal',
    'SO' => 'Somàlia',
    'SR' => 'Surinam',
    'SS' => 'Sudan del Sud',
    'ST' => 'São Tomé i Príncipe',
    'SV' => 'El Salvador',
    'SX' => 'Sint Maarten (part neerlandesa)',
    'SY' => 'Síria',
    'SZ' => 'Swazilàndia',
    'TC' => 'Illes Turks i Caicos',
    'TD' => 'Txad',
    'TF' => 'Territoris Francesos del Sud',
    'TG' => 'Togo',
    'TH' => 'Tailàndia',
    'TJ' => 'Tatgiquistan',
    'TK' => 'Tokelau',
    'TL' => 'Timor Oriental',
    'TM' => 'Turkmenistan',
    'TN' => 'Tunísia',
    'TO' => 'Tonga',
    'TR' => 'Turquia',
    'TT' => 'Trinidad i Tobago',
    'TV' => 'Tuvalu',
    'TW' => 'Taiwan',
    'TZ' => 'Tanzània',
    'UA' => 'Ucraïna',
    'UG' => 'Uganda',
    'UM' => 'Illes Perifèriques Menors dels Eua',
    'US' => 'Estats Units d\'Amèrica',
    'UY' => 'Uruguai',
    'UZ' => 'Uzbekistan',
    'VA' => 'Ciutat del Vaticà',
    'VC' => 'Saint Vincent i les Grenadines',
    'VE' => 'Veneçuela',
    'VG' => 'Illes Verges britàniques',
    'VI' => 'Illes Verges Nord-americanes',
    'VN' => 'Vietnam',
    'VU' => 'Vanuatu',
    'WF' => 'Wallis i Futuna',
    'WS' => 'Samoa',
    'YE' => 'Iemen',
    'YT' => 'Mayotte',
    'ZA' => 'Sud-àfrica',
    'ZM' => 'Zàmbia',
    'ZW' => 'Zimbabwe',
];
